RTEMS: rtems_rtl_data Struct Reference

| RTEMS 5.4-rc2

Loading...
Searching...
No Matches
Data Fields
rtems_rtl_data Struct Reference

`#include <rtl.h>`

## Data Fields
rtems_recursive_mutex | lock
rtems_rtl_alloc_data | allocator
rtems_chain_control | objects
rtems_chain_control | pending
const char * | paths
rtems_rtl_symbols | globals
rtems_rtl_archives | archives
rtems_rtl_unresolved | unresolved
rtems_rtl_obj * | base
rtems_rtl_obj_cache | symbols
rtems_rtl_obj_cache | strings
rtems_rtl_obj_cache | relocs
rtems_rtl_obj_comp | decomp
int | last_errno
char | last_error [64]

## Detailed Description

The global RTL data. This structure is allocated on the heap when the first call to the RTL is made and never released.

The global symbol table is a hash table held in this structure and the actual symbols are part of the object's structure. If this is a problem we could look at a hash table per object file.

## Field Documentation

## ◆ allocator

rtems_rtl_alloc_data rtems_rtl_data::allocator

The allocator data.

## ◆ archives

rtems_rtl_archives rtems_rtl_data::archives

Archive search and loader.

## ◆ base

rtems_rtl_obj* rtems_rtl_data::base

Base object file.

## ◆ decomp

rtems_rtl_obj_comp rtems_rtl_data::decomp

The decompression compressor.

## ◆ globals

rtems_rtl_symbols rtems_rtl_data::globals

Global symbol table.

## ◆ last_errno

int rtems_rtl_data::last_errno

Last error number.

## ◆ last_error

char rtems_rtl_data::last_error[64]

Last error string.

## ◆ lock

rtems_recursive_mutex rtems_rtl_data::lock

The RTL lock

## ◆ objects

rtems_chain_control rtems_rtl_data::objects

List if loaded object files.

## ◆ paths

const char* rtems_rtl_data::paths

Search paths for archives.

## ◆ pending

rtems_chain_control rtems_rtl_data::pending

Listof object files needing work.

## ◆ relocs

rtems_rtl_obj_cache rtems_rtl_data::relocs

Relocations object file cache.

## ◆ strings

rtems_rtl_obj_cache rtems_rtl_data::strings

Strings object file cache.

## ◆ symbols

rtems_rtl_obj_cache rtems_rtl_data::symbols

Symbols object file cache.

## ◆ unresolved

rtems_rtl_unresolved rtems_rtl_data::unresolved

Unresolved symbols.

The documentation for this struct was generated from the following file:

- cpukit/include/rtems/rtl/rtl.h